#include "TrackEdit.h"
#include "3dView.h"

bool C3dPreview::Message(DialogueMessage *Msg)
{
	CWidgetBase::Message(Msg);
	switch(Msg->Type)
	{
		default: break;
		case DialogueMessage::DRAW:
		{
			int p = SectionIndices[(int)ScrollBase / SEGMENT_LENGTH];
			SceneViewer->DrawTrackPOV(p, 0, ScrollBase, 1);
		}
		break;
		case DialogueMessage::ENTER:
		{
			int c = 26;
			while(c--)
			{
				SceneViewer->FixElevation(c);
				SceneViewer->FixCorners(c);
				SceneViewer->FixObjects(c);
			}
		}
		break;
	}
	return false;
}

void C3dPreview::SetPos(float x1, float y1, float x2, float y2)
{
	CWidgetBase::SetPos(x1, y1, x2, y2);
	SceneViewer->SetRenderArea(x1, y1, x2, y2);
}
