#ifndef __TEXTWRITER_H
#define __TEXTWRITER_H

#include "Bitmap.h"

class CTextWriter
{
	public:
		CTextWriter();
		~CTextWriter();

		void Write(float x1, float y1, float x2, float y2, char *fmt, ...);
		void Write(float x1, float y1, char *fmt, ...);
		float GetLength(char *fmt, ...);
		float GetHeight(float x1, float x2, char *fmt, ...);

	private:
		CBitmap *WholeFont;

		void WriteInternal(float x1, float y1, float x2, float y2, char *Text);
		int MaxY;
		bool Draw;
};

extern CTextWriter *TextWriter;

#endif
